{{ define "main" }}
<section class="hero is-dark py-4">
    <div class="hero-body">
        <div class="container has-text-centered">
            <p class="title">
                {{ .Title }}
            </p>
            <p class="subtitle">
                {{ .Summary }}
            </p>
        </div>
    </div>
    <div class="hero-foot">
        <div class="container">
            <div class="level">
                <!-- <div class="level-left">
                    {{ partial "backto.html" . }}
                </div> -->
                <div class="level-item">
                    {{ partial "breadcrumb.html" . }}
                </div>
            </div>
        </div>
    </div>
</section>
<div class="container pt-4">
    <div class="table-container box">
        <table class="table is-fullwidth">
            <thead>
                <tr>
                    <th>No.</th>
                    <th>Title</th>
                    <th>Difficulty</th>
                    <th>Sources</th>
                    <th>Categories</th>
                </tr>
            </thead>
            <tbody>
                {{ range $index, $page := .Pages.ByWeight }}
                <tr>
                    <td>{{ add ($index) 1 }}.</td>
                    <th><a href="{{.Permalink}}">{{ .Title }}</a></th>
                    <td>
                        {{ partial "tags/difficulty.html" . }}
                    </td>
                    <td>
                        {{ partial "tags/sources.html" . }}
                    </td>
                    <td>
                        {{ partial "tags/categories.html" . }}
                    </td>
                </tr>
                {{ end }}
            </tbody>
        </table>
    </div>
</div>
{{ end }}